﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDataChartDateAxis
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
      
            var Trades = new ObservableCollection<LiveViewDataPoint>();

            Trades.Add(new LiveViewDataPoint() { Date =  DateTime.Now, Price = 25.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(1), Price = 5.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(2), Price = 45.56 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(3), Price = 125.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(5), Price = 125.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(5), Price = 35.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(6), Price = 345.56 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(7), Price = 125.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(7), Price = 56.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(7), Price = 15.68 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(11), Price = 145.56 });
            Trades.Add(new LiveViewDataPoint() { Date = DateTime.Now.AddDays(11), Price = 135.68 });

            this.xamChart1.DataContext = Trades;
           
        }

        private void Ellipse_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (((sender as Ellipse).Fill as SolidColorBrush).Color == Colors.Purple)
            {
                (sender as Ellipse).Fill = new SolidColorBrush(Colors.Red);
            }
            else
                (sender as Ellipse).Fill = new SolidColorBrush(Colors.Purple);
        }
    }

    public class LiveViewDataPoint
    {
        public DateTime Date { get; set; }
        public double Price { get; set; }
    }
}
